Subject: RE: [dhcwg] Is the "Success" option neccessary?

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Thu, 2 Feb 2006 23:48:48 -0500

Yes, I believe the Reply for a Release and Decline should always have a
Success Status Code option, even if one or more IA also has a NoBinding
Status Code. (There may be other Status Codes that can be returned, such
as UnSpecFail, if there are other processing errors.)

- Bernie 

> -----Original Message-----
> From: haoda [mailto:[email-masked]] 
> Sent: Thursday, February 02, 2006 11:21 PM
> To: Bernie Volz (volz)
> Cc: [email-masked]; [email-masked]
> Subject: RE: [dhcwg] Is the "Success" option neccessary?
> 
> Hi, Mr. Volz,
> 
> Thanks for your reply!
> It looks more clear for me. 
> 
> Now I want to confirm a item said in your
> previous mail.
> Please look at it.
> 
>  > -----Original Message-----
> > From: Bernie Volz (volz) [mailto:[email-masked]] 
> > Sent: Wednesday, February 01, 2006 1:52 AM
> > To: haoda; [email-masked]
> > Subject: RE: [dhcwg] Is the "Success" option neccessary?
> > 
> > There is no need to add a Success Status Code option to most 
> > of the messages (only the Decline and Release explicitly 
> > indicate that a Success Status Code option should be added).
> 
> Dose it mean when a Decline/Reply or Release/Reply message exchange
> is failed and a "Nobinding" status code is returned in the IA 
> option, at same
> time, the "Success" status code should be include in the main part of 
> this messge. That is, the Reply message only include "Nobinding" in
> the IA options and don not include a "Success" is not acceptable.
> Is my understanding right? 
> Or it is only necessary when the message exchange is successful?
> 
> But in RFC3315, I haven't found some explanation when failed.
> If it is a "SHOULD" option,would you like to tell me where it 
> is in the RFC?
> I only found these texts.(Example, for Release)
> 
> "
>    After all the addresses have been processed, the server generates a
>    Reply message and includes a Status Code option with value 
> Success, a
>    Server Identifier option with the server's DUID, and a Client
>    Identifier option with the client's DUID.  For each IA in 
> the Release
>    message for which the server has no binding information, the server
>    adds an IA option using the IAID from the Release message, and
>    includes a Status Code option with the value NoBinding in the IA
>    option.  No other options are included in the IA option.
> "
> 
> Best regard yours,
> 
> Haoda
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg